import Component from '../component.js'
import { elementAttributeContains } from '../../core/utils.js'
import DivComponent from '../div.js';

export default class CoEuiBlockContent extends Component {
  constructor(parent) {
    let selector = 'eui-block-content';
    super(parent, selector);
    //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/eui-block-content/eui-block-content.component.html
  }
  get wrapperCO() {
    return new DivComponent(this.currentPath).addPredicateClassContains('eui-block-content__wrapper');
  }
  async isBlocked() {
    return await elementAttributeContains(this.currentPath, 'class', 'eui-block-content--blocked');
  }
}


